#ifndef GLUNCOMPILEVISITOR_H
#define GLUNCOMPILEVISITOR_H

#include "SceneGraphVisitor.h"


namespace nsSceneGraph {

class GlUncompileVisitor : public SceneGraphVisitor
{
	private:
		inline void action(GraphNode *node);

	public:
		virtual ~GlUncompileVisitor(void);

		virtual void visit(Group *group);
		virtual void visit(Material *material);
		virtual void visit(Transform *transform);
		virtual void visit(VertexArray *array);
};


}

#endif

